<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchEvaluation: SemanticSearchEvaluation.VirtuosoConnector Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchEvaluation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_evaluation.html">SemanticSearchEvaluation</a></li><li class="navelem"><a class="el" href="class_semantic_search_evaluation_1_1_virtuoso_connector.html">VirtuosoConnector</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_semantic_search_evaluation_1_1_virtuoso_connector-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchEvaluation.VirtuosoConnector Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contains necessary functions to query and manipulate the knowledge graph in Virtuoso.  
 <a href="class_semantic_search_evaluation_1_1_virtuoso_connector.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4ee82f401e325c03eaf3b1abd609c5f8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_virtuoso_connector.html#a4ee82f401e325c03eaf3b1abd609c5f8">VirtuosoConnector</a> (string server=&quot;localhost&quot;, int dbPort=1111, string db=&quot;db&quot;, string dbUser=&quot;dba&quot;, string dbPassword=&quot;dba&quot;, string virtuosoISQLLocation=&quot;C:/Programs/Virtuoso/bin/isql.exe&quot;)</td></tr>
<tr class="separator:a4ee82f401e325c03eaf3b1abd609c5f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3318726ad83ec4a4f0881e0e09f7c499"><td class="memItemLeft" align="right" valign="top">Graph&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_virtuoso_connector.html#a3318726ad83ec4a4f0881e0e09f7c499">GetGraph</a> (string graphName)</td></tr>
<tr class="memdesc:a3318726ad83ec4a4f0881e0e09f7c499"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a metadata graph.  <a href="class_semantic_search_evaluation_1_1_virtuoso_connector.html#a3318726ad83ec4a4f0881e0e09f7c499">More...</a><br /></td></tr>
<tr class="separator:a3318726ad83ec4a4f0881e0e09f7c499"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82bc20fcf705601a128ce774fde70921"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_virtuoso_connector.html#a82bc20fcf705601a128ce774fde70921">SaveGraph</a> (IGraph graph)</td></tr>
<tr class="memdesc:a82bc20fcf705601a128ce774fde70921"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saves a metadata graph.  <a href="class_semantic_search_evaluation_1_1_virtuoso_connector.html#a82bc20fcf705601a128ce774fde70921">More...</a><br /></td></tr>
<tr class="separator:a82bc20fcf705601a128ce774fde70921"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a686884bb7084aa981aa60d48bd4344e8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_virtuoso_connector.html#a686884bb7084aa981aa60d48bd4344e8">RemoveGraph</a> (IGraph graph)</td></tr>
<tr class="memdesc:a686884bb7084aa981aa60d48bd4344e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes a metadata graph.  <a href="class_semantic_search_evaluation_1_1_virtuoso_connector.html#a686884bb7084aa981aa60d48bd4344e8">More...</a><br /></td></tr>
<tr class="separator:a686884bb7084aa981aa60d48bd4344e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07fcb55356ef76f7f6c24cf7a80a4473"><td class="memItemLeft" align="right" valign="top">SparqlResultSet&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_virtuoso_connector.html#a07fcb55356ef76f7f6c24cf7a80a4473">QueryWithResultSet</a> (string query)</td></tr>
<tr class="memdesc:a07fcb55356ef76f7f6c24cf7a80a4473"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queries the knowledge graph with a query.  <a href="class_semantic_search_evaluation_1_1_virtuoso_connector.html#a07fcb55356ef76f7f6c24cf7a80a4473">More...</a><br /></td></tr>
<tr class="separator:a07fcb55356ef76f7f6c24cf7a80a4473"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a740876c9e50c7a02d80c85ad2fb2ef64"><td class="memItemLeft" align="right" valign="top">readonly IDictionary&lt; string, Uri &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_virtuoso_connector.html#a740876c9e50c7a02d80c85ad2fb2ef64">NAMESPACES</a></td></tr>
<tr class="separator:a740876c9e50c7a02d80c85ad2fb2ef64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc38bac5ec7111cedb0afc35a3fd366e"><td class="memItemLeft" align="right" valign="top">readonly SparqlParameterizedString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_virtuoso_connector.html#acc38bac5ec7111cedb0afc35a3fd366e">_queryString</a></td></tr>
<tr class="separator:acc38bac5ec7111cedb0afc35a3fd366e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a014d38f1d27fa2382d2193b0a8f96a38"><td class="memItemLeft" align="right" valign="top">readonly VirtuosoManager&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_virtuoso_connector.html#a014d38f1d27fa2382d2193b0a8f96a38">_manager</a></td></tr>
<tr class="separator:a014d38f1d27fa2382d2193b0a8f96a38"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Contains necessary functions to query and manipulate the knowledge graph in Virtuoso. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a4ee82f401e325c03eaf3b1abd609c5f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ee82f401e325c03eaf3b1abd609c5f8">&#9670;&nbsp;</a></span>VirtuosoConnector()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SemanticSearchEvaluation.VirtuosoConnector.VirtuosoConnector </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>server</em> = <code>&quot;localhost&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>dbPort</em> = <code>1111</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>db</em> = <code>&quot;db&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dbUser</em> = <code>&quot;dba&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dbPassword</em> = <code>&quot;dba&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>virtuosoISQLLocation</em> = <code>&quot;C:/Programs/Virtuoso/bin/isql.exe&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a3318726ad83ec4a4f0881e0e09f7c499"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3318726ad83ec4a4f0881e0e09f7c499">&#9670;&nbsp;</a></span>GetGraph()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Graph SemanticSearchEvaluation.VirtuosoConnector.GetGraph </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>graphName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns a metadata graph. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">graphName</td><td>ID of the metadata graph.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A graph.</dd></dl>

</div>
</div>
<a id="a07fcb55356ef76f7f6c24cf7a80a4473"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07fcb55356ef76f7f6c24cf7a80a4473">&#9670;&nbsp;</a></span>QueryWithResultSet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SparqlResultSet SemanticSearchEvaluation.VirtuosoConnector.QueryWithResultSet </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>query</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Queries the knowledge graph with a query. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">query</td><td>String representation of a SPARQL query.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A <code>SparqlResultSet</code>.</dd></dl>

</div>
</div>
<a id="a686884bb7084aa981aa60d48bd4344e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a686884bb7084aa981aa60d48bd4344e8">&#9670;&nbsp;</a></span>RemoveGraph()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SemanticSearchEvaluation.VirtuosoConnector.RemoveGraph </td>
          <td>(</td>
          <td class="paramtype">IGraph&#160;</td>
          <td class="paramname"><em>graph</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Removes a metadata graph. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">graph</td><td>Metadata graph.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a82bc20fcf705601a128ce774fde70921"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82bc20fcf705601a128ce774fde70921">&#9670;&nbsp;</a></span>SaveGraph()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SemanticSearchEvaluation.VirtuosoConnector.SaveGraph </td>
          <td>(</td>
          <td class="paramtype">IGraph&#160;</td>
          <td class="paramname"><em>graph</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Saves a metadata graph. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">graph</td><td>Metadata graph.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a014d38f1d27fa2382d2193b0a8f96a38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a014d38f1d27fa2382d2193b0a8f96a38">&#9670;&nbsp;</a></span>_manager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly VirtuosoManager SemanticSearchEvaluation.VirtuosoConnector._manager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acc38bac5ec7111cedb0afc35a3fd366e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc38bac5ec7111cedb0afc35a3fd366e">&#9670;&nbsp;</a></span>_queryString</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly SparqlParameterizedString SemanticSearchEvaluation.VirtuosoConnector._queryString</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a740876c9e50c7a02d80c85ad2fb2ef64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a740876c9e50c7a02d80c85ad2fb2ef64">&#9670;&nbsp;</a></span>NAMESPACES</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly IDictionary&lt;string, Uri&gt; SemanticSearchEvaluation.VirtuosoConnector.NAMESPACES</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= <span class="keyword">new</span> Dictionary&lt;string, Uri&gt;()</div>
<div class="line">        {</div>
<div class="line">            { <span class="stringliteral">&quot;dcterms&quot;</span>, <span class="keyword">new</span> Uri(Uris.DCTERMS) },</div>
<div class="line">            { <span class="stringliteral">&quot;rdfs&quot;</span>, <span class="keyword">new</span> Uri(Uris.RDFS) },</div>
<div class="line">            { <span class="stringliteral">&quot;rdf&quot;</span>, <span class="keyword">new</span> Uri(Uris.RDF) },</div>
<div class="line">            { <span class="stringliteral">&quot;sh&quot;</span>, <span class="keyword">new</span> Uri(Uris.SHACL) },</div>
<div class="line">            { <span class="stringliteral">&quot;foaf&quot;</span>, <span class="keyword">new</span> Uri(Uris.FOAF) },</div>
<div class="line">            { <span class="stringliteral">&quot;coscineprojectstructure&quot;</span>, <span class="keyword">new</span> Uri(Uris.COSCINE_PROJECTSTRUCTURE) },</div>
<div class="line">            { <span class="stringliteral">&quot;owl&quot;</span>, <span class="keyword">new</span> Uri(Uris.OWL) },</div>
<div class="line">            { <span class="stringliteral">&quot;qudt&quot;</span>, <span class="keyword">new</span> Uri(Uris.QUDT) },</div>
<div class="line">            { <span class="stringliteral">&quot;coscinesearch&quot;</span>, <span class="keyword">new</span> Uri(Uris.COSCINE_SEARCH) },</div>
<div class="line">            { <span class="stringliteral">&quot;engmeta&quot;</span>, <span class="keyword">new</span> Uri(Uris.ENGMETA) },</div>
<div class="line">            { <span class="stringliteral">&quot;unit&quot;</span>, <span class="keyword">new</span> Uri(Uris.UNIT) },</div>
<div class="line">            { <span class="stringliteral">&quot;org&quot;</span>, <span class="keyword">new</span> Uri(Uris.ORG) }</div>
<div class="line">        }</div>
</div><!-- fragment -->
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_virtuoso_connector_8cs.html">VirtuosoConnector.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
